<?xml version="1.0" encoding="gb2312"?>
<Config>
    <night_iso>6400</night_iso>
    <night_exposure>12</night_exposure><!--night exposure threshold-->
    <night_lumaavg>15</night_lumaavg><!--night avgbright threshold-->
    <zoom_ratio_max>1.5</zoom_ratio_max><!--night avgbright threshold-->

    <ImageRegistrationMethod>1</ImageRegistrationMethod>

    <GhostRemovalMethod>1</GhostRemovalMethod>
    <LocalMotionDetection>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>2.0</MotionRatio>
    </LocalMotionDetection>

    <DarkMotionDetection>
        <Thresh1>
            <ISO>160</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>15</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh1>
        <Thresh2>
            <ISO>240</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh2>
        <Thresh3>
            <ISO>320</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh3>
        <Thresh4>
            <ISO>640</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh4>
        <Thresh5>
            <ISO>960</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh5>
        <Thresh6>
            <ISO>1280</ISO>
            <MotionLowGray>15</MotionLowGray>
            <MotionHighGray>25</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh6>
        <Thresh7>
            <ISO>1600</ISO>
            <MotionLowGray>20</MotionLowGray>
            <MotionHighGray>30</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh7>
        <Thresh8>
            <ISO>1920</ISO>
            <MotionLowGray>25</MotionLowGray>
            <MotionHighGray>35</MotionHighGray>
            <MotionRatio>1.5</MotionRatio>
        </Thresh8>
        <Thresh9>
            <ISO>2560</ISO>
            <MotionLowGray>30</MotionLowGray>
            <MotionHighGray>40</MotionHighGray>
            <MotionRatio>1.0</MotionRatio>
        </Thresh9>
        <Thresh10>
            <ISO>6400</ISO>
            <MotionLowGray>30</MotionLowGray>
            <MotionHighGray>50</MotionHighGray>
            <MotionRatio>0.5</MotionRatio>
        </Thresh10>
    </DarkMotionDetection>

    <PureColorMotionDetection>
        <MotionRatio>0.20</MotionRatio>
    </PureColorMotionDetection>
    <LocalMotionCorrection>255</LocalMotionCorrection>

    <ImageFusionMethod>1</ImageFusionMethod>
    <ImageFusion>
        <MinDarkWeight>-1.0</MinDarkWeight>
        <MinBrightWeight>-1.0</MinBrightWeight>
        <MaxBrightWeight>1.0</MaxBrightWeight>
        <MaxDarkWeight>1.0</MaxDarkWeight>
        <PyramidTopSize>64</PyramidTopSize>
        <WeightCalcMethod>0</WeightCalcMethod>
        <MinUnderExposureDiv>32</MinUnderExposureDiv>
        <MaxUnderExposureDiv>96</MaxUnderExposureDiv>
        <MinOverExposureDiv>176</MinOverExposureDiv>
        <MaxOverExposureDiv>226</MaxOverExposureDiv>
        <BlendCenter>100</BlendCenter>
        <BlendSigma>0.16</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.2</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>64</DetailEnhanceRatio><!--128 would produce edge overshoot-->
    </ImageFusion>

    <PostProcessValid>1</PostProcessValid>
    <PostProcess>
        <DenoiseDarkThresh>255</DenoiseDarkThresh>
    </PostProcess>

    <FlashHDR>
        <PyramidTopSize>32</PyramidTopSize>
        <WeightCalcMethod>0</WeightCalcMethod>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.2</BlendSigma>
        <NoFlashWeight>128</NoFlashWeight>
    </FlashHDR>

    <Face>
        <AjustRatio>128</AjustRatio>
        <Margin>10</Margin>
        <SmoothRadius>40</SmoothRadius>
    </Face>

    <PreMotionDetection>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>100.0</MotionRatio>
    </PreMotionDetection>

    <MultiFrameHDR>
        <MotionLowGray>5</MotionLowGray>
        <MotionHighGray>10</MotionHighGray>
        <MotionRatio>5.0</MotionRatio>
        <PyramidTopSize>24</PyramidTopSize>
        <BlendCenter>20</BlendCenter>
        <BlendSigma>0.04</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.1</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>64</DetailEnhanceRatio>
    </MultiFrameHDR>

    <MotionCorrection>
        <usePDFsDetection>0</usePDFsDetection> <!--swither for PDF detection method-->
        <useInpaitingMethod>0</useInpaitingMethod> <!--swither for inpaiting method-->
        <useSyntheticExposure>1</useSyntheticExposure> <!--swither for synthetic exposure-->
        <useDarkReference>1</useDarkReference><!--use dark frame as reference-->
        <useGuidedFilter>1</useGuidedFilter><!--use guided filtering-->
        <underEx_val>20</underEx_val>
        <overEx_val>235</overEx_val>
        <inpaint_iso_val>800</inpaint_iso_val>
        <denoise_iso_val>400</denoise_iso_val>
        <synthetic_max_iso>1000</synthetic_max_iso>  <!--iso threshold for synthetic exposure fusion-->
        <overExposureRatio>0.2</overExposureRatio>  <!--over-exposure threshold for using dark as ref-->
        <gf_radius>2</gf_radius>
        <gf_epsilon>0.0001f</gf_epsilon>
        <gf_epsilon_b1>0.0003f</gf_epsilon_b1>
        <gf_epsilon_k1>0.0001f</gf_epsilon_k1>
        <gf_epsilon_b2>0.0006f</gf_epsilon_b2>
        <gf_epsilon_k2>0.0002f</gf_epsilon_k2>
    </MotionCorrection>

    <!--Night_Stage_Scene Parameter-->
    <NightImageFusion>
        <MinDarkWeight>-1.0</MinDarkWeight>
        <MinBrightWeight>-1.0</MinBrightWeight>
        <MaxBrightWeight>1.0</MaxBrightWeight>
        <MaxDarkWeight>1.0</MaxDarkWeight>
        <PyramidTopSize>16</PyramidTopSize>
        <WeightCalcMethod>1</WeightCalcMethod>
        <MinUnderExposureDiv>32</MinUnderExposureDiv>
        <MaxUnderExposureDiv>96</MaxUnderExposureDiv>
        <MinOverExposureDiv>176</MinOverExposureDiv>
        <MaxOverExposureDiv>226</MaxOverExposureDiv>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.25</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.3</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>128</DetailEnhanceRatio><!--128 would produce edge overshoot-->
    </NightImageFusion>
    <!--Night_Stage_Scene Parameter for 5+1-->
    <NightMultiFrameHDR>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>5.0</MotionRatio>
        <PyramidTopSize>8</PyramidTopSize>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.25</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.3</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>128</DetailEnhanceRatio>
    </NightMultiFrameHDR>
</Config>
